package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/9/11
 * @Description 角色战力排行榜查询参数实体
 **/
@Data
public class RoleCombatRankingDTO {

    /**
     * 充值开始时间
     */
    @ApiModelProperty(value = "充值开始时间")
    private LocalDate rechargeBeginDate;

    /**
     * 充值结束时间
     */
    @ApiModelProperty(value = "充值结束时间")
    private LocalDate rechargeEndDate;

    /**
     * 子游戏ID
     */
    @ApiModelProperty(value = "子游戏ID")
    private Long gameId;

    /**
     * 父游戏ID
     */
    @ApiModelProperty(value = "父游戏ID")
    private Long parentGameId;

    /**
     * 区服ID（列表）
     */
    @ApiModelProperty(value = "区服ID（列表）")
    private List<Long> serverIds;

    /**
     * 角色名
     */
    @ApiModelProperty(value = "角色名")
    private String roleName;

    /**
     * 角色ID
     */
    @ApiModelProperty(value = "角色ID")
    private String roleId;

    /**
     * 角色创建时间（开始）
     */
    @ApiModelProperty(value = "角色创建时间（开始）")
    private LocalDate createRoleBeginDate;

    /**
     * 角色创建时间（结束）
     */
    @ApiModelProperty(value = "角色创建时间（结束）")
    private LocalDate createRoleEndDate;

    /**
     * 角色VIP等级
     */
    @ApiModelProperty(value = "角色VIP等级")
    private Integer vipLevel;

    /**
     * 邮件是否发送
     */
    @ApiModelProperty(value = "邮件是否发送")
    private Integer isSendMail;

    /**
     * 是否转端
     */
    @ApiModelProperty(value = "是否转端")
    private Integer isChange;

    /**
     * 企业微信号
     */
    @ApiModelProperty(value = "企业微信号")
    private String weChatCompany;

    /**
     * 客户微信
     */
    @ApiModelProperty(value = "客户微信号")
    private String weChat;

    /**
     * 客户手机
     */
    @ApiModelProperty(value = "客户手机号")
    private String phone;

    /**
     * GS
     */
    @ApiModelProperty(value = "GS_ID")
    private Long gsId;

    /**
     * 客服
     */
    @ApiModelProperty(value = "客服ID")
    private Long customerServerId;

    /**
     * 投手
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 运营
     */
    @ApiModelProperty(value = "运营ID")
    private Long operatorId;

}
